# Wordlist

## POST /api/v2/createWordlist

> Generate a wordlist from API paths of specified file IDs and upload to S3

```json
{"openapi":"3.0.0","info":{"title":"JSMON API","version":"1.0.0"},"servers":[{"url":"https://api-dev.jsmon.sh","description":"Development Server (For internal testing)"},{"url":"https://api.jsmon.sh","description":"Production Server (Stable release)"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{}},"paths":{"/api/v2/createWordlist":{"post":{"summary":"Generate a wordlist from API paths of specified file IDs and upload to S3","tags":["Wordlist"],"parameters":[{"in":"query","name":"wkspId","required":true,"schema":{"type":"string"},"description":"Workspace ID"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["fileId"],"properties":{"fileId":{"type":"array","items":{"type":"string"}}}}}}},"responses":{"200":{"description":"Wordlist successfully created and uploaded to S3","content":{"application/json":{"schema":{"type":"object","properties":{"file":{"type":"string"}}}}}},"400":{"description":"Invalid input provided","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string"}}}}}},"401":{"description":"Unauthorized access","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string"}}}}}},"404":{"description":"No results found for given file IDs","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string"}}}}}},"500":{"description":"Server error or S3 upload failure","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string"}}}}}}}}}}}
```
